Summary: An interactive astronomical ephemeris program for X Windows systems
Name: xephem
Version: 3.0
Release: 1
Copyright: Freely redistributable/modifiable if attributed, no warranty
Group: Applications/Scientific
Source: iraf.noao.edu:contrib/xephem/xephem_3.0/xephem_3.0.tar.gz
Patch: xephem-config.patch
%description
XEphem version 3.0 is an interactive astronomical ephemeris program
for X Windows systems with Motif. It provides many graphical views as
well as quantitative heliocentric, geocentric and topocentric
information for Earth satellites, solar system and celestial objects.

NOTES: (1) Xephem requires the motif libraries to compile. (2) Since I
do not have the motif libraries, the binary for xephem included in the
i386 binary RPM is a copy of that on the XEphem web site, which has
the Motif libraries statically linked.  (3) The source build has not
been tested on Sparc or Alpha.
%prep
%setup -n xephem_3.0
%patch -p1

%build
xmkmf
make

%install
install -s -m 755 -o 0 -g 0 xephem /usr/X11R6/bin/xephem
install -m 644 -o 0 -g 0 xephem.man /usr/X11R6/man/man1/xephem.1x
install -d -m 755 -o 0 -g 0 /usr/X11R6/lib/xephem
install -d -m 755 -o 0 -g 0 /usr/X11R6/lib/xephem/tools/gsc
install -d -m 755 -o 0 -g 0 /usr/X11R6/lib/xephem/tools
install -d -m 755 -o 0 -g 0 /usr/X11R6/lib/xephem/edb
install -d -m 777 -o 0 -g 0 /var/local/gsccache
install -m 644 -o 0 -g 0 auxil/[mx]* /usr/X11R6/lib/xephem
install -m 644 -o 0 -g 0 edb/* /usr/X11R6/lib/xephem/edb
install -m 644 -o 0 -g 0 tools/*.* /usr/X11R6/lib/xephem/tools
install -m 644 -o 0 -g 0 tools/gsc/* /usr/X11R6/lib/xephem/tools/gsc
install -m 644 -o 0 -g 0 XEphem.ad /usr/X11R6/lib/X11/app-defaults/XEphem

%files
%doc README Copyright HISTORY INSTALL auxil/README auxil/gsccache/README
%doc edb/README tools/README

/usr/X11R6/bin/xephem
/usr/X11R6/man/man1/xephem.1x

%dir /usr/X11R6/lib/xephem
/usr/X11R6/lib/xephem/mars_db
/usr/X11R6/lib/xephem/marsmap.fts
/usr/X11R6/lib/xephem/moon.fts
/usr/X11R6/lib/xephem/moon_db
/usr/X11R6/lib/xephem/xephem.hlp
/usr/X11R6/lib/xephem/xephem_sites

%dir /usr/X11R6/lib/xephem/edb
/usr/X11R6/lib/xephem/edb/Messier.edb
/usr/X11R6/lib/xephem/edb/README
/usr/X11R6/lib/xephem/edb/NGC.edb
/usr/X11R6/lib/xephem/edb/SAC.edb
/usr/X11R6/lib/xephem/edb/YBS.edb
/usr/X11R6/lib/xephem/edb/astorb.edb
/usr/X11R6/lib/xephem/edb/comets.edb
/usr/X11R6/lib/xephem/edb/gps.edb
/usr/X11R6/lib/xephem/edb/mir.edb
/usr/X11R6/lib/xephem/edb/pulsars.edb
/usr/X11R6/lib/xephem/edb/spacecraft.edb
/usr/X11R6/lib/xephem/edb/vla20cm.edb
/usr/X11R6/lib/xephem/edb/vla2cm.edb
/usr/X11R6/lib/xephem/edb/vla3.7cm.edb
/usr/X11R6/lib/xephem/edb/vla6cm.edb
/usr/X11R6/lib/xephem/edb/vla90cm.edb

%dir /usr/X11R6/lib/xephem/tools
/usr/X11R6/lib/xephem/tools/astorb2edb.pl
/usr/X11R6/lib/xephem/tools/encke2edb.pl
/usr/X11R6/lib/xephem/tools/extract.awk
/usr/X11R6/lib/xephem/tools/gps.awk
/usr/X11R6/lib/xephem/tools/jost2edb.nawk
/usr/X11R6/lib/xephem/tools/tle2edb.awk
/usr/X11R6/lib/xephem/tools/yeomans.pl

%dir /usr/X11R6/lib/xephem/tools/gsc
/usr/X11R6/lib/xephem/tools/gsc/Makefile
/usr/X11R6/lib/xephem/tools/gsc/README
/usr/X11R6/lib/xephem/tools/gsc/gscd.c
/usr/X11R6/lib/xephem/tools/gsc/gscload.c
/usr/X11R6/lib/xephem/tools/gsc/gsclogstats.pl
/usr/X11R6/lib/xephem/tools/gsc/support.c

%dir /var/local/gsccache

/usr/X11R6/lib/X11/app-defaults/XEphem
